#
# everything after '#' is ignore, as are empty lines
#
# format: <type>:<host>:<email>
#
# <type>  - can be 'I', 'W', 'L', 'S', 'P', 'F' for
#          ICMP ping, Web, Web/SSL, SMTP, POP3 and FTP respectivly
#
#          ICMP requires ping(1) to be executable in default PATH (see
#          source), and others require grep(1), head(1), nc(1)/netcat(1)
#
# <host>  - is host IP or FQDN to check
#
# <email> - is email to notify if specified host is down
#
#   if email is "LOCAL" (without quotes), then complaint will be
#   sent to user running this program, and not elsewhere. It is used
#   to check weather local host connection to 'net has died. If _ANY_ of the
#   "LOCAL" rules succeedes, it is assumed that we have working network
#   connection, and complaints will be sent for all other failed rules.
#   Otherwise, if _ALL_ "LOCAL" rules fail, it will be assumed that our
#   network connection is down, and other rules will not be checked until
#   at least one "LOCAL" rules succeedes.
#   NOTE: you must write ALL "LOCAL" rules before other rules!
#

# use those to check if we are connected to 'net
W:www.tel.hr:LOCAL
I:mail.iskon.hr:LOCAL
I:pgp.mit.edu:LOCAL

# check if those hosts are alive
I:worf.voyager.hr:critical
W:www.voyager.hr:critical
I:garek.voyager.hr:critical
L:secure.voyager.hr:critical
P:mail.voyager.hr:critical
S:mail.voyager.hr:critical
F:ftp.voyager.hr:critical

S:mail.oglasnik.hr:critical
W:www.oglasnik.hr:critical

